%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:			simple-scan
Version:		3.22.0.1
Release:		%mkrel 1
Summary:		Simple scanning utility
Group:			Graphics/Scanning
License:		GPLv3+
URL:			https://launchpad.net/simple-scan
Source0:		https://launchpad.net/%{name}/%{url_ver}/%{version}/+download/%{name}-%{version}.tar.xz
BuildRequires:		pkgconfig(cairo)
BuildRequires:		pkgconfig(colord)
BuildRequires:		pkgconfig(gdk-pixbuf-2.0)
BuildRequires:		pkgconfig(gmodule-export-2.0)
BuildRequires:		pkgconfig(gthread-2.0)
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		pkgconfig(gudev-1.0)
BuildRequires:		pkgconfig(packagekit-glib2)
BuildRequires:		pkgconfig(zlib)
BuildRequires:		intltool >= 0.35.0
BuildRequires:		vala-devel >= 0.18.0
BuildRequires:		libjpeg-devel
BuildRequires:		pkgconfig(sane-backends)
BuildRequires:		itstool
BuildRequires:		libxml2-utils

Requires:		adwaita-icon-theme
Requires:		xdg-utils
Requires:		yelp
Provides:		scanner-gui

%description
Simple Scan is an easy-to-use application, designed to let users connect their
scanner and quickly have the image/document in an appropriate format.

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
%make_install

%find_lang %{name} --with-man --with-gnome --with-help

%files -f %{name}.lang
%doc README.md NEWS
%license COPYING
%{_mandir}/man1/%{name}.1.*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/


%changelog
* Sun Sep 25 2016 daviddavid <daviddavid> 3.22.0.1-1.mga6
+ Revision: 1055952
- new version: 3.22.0.1
- return back to the stable release 3.20.x

* Tue Apr 26 2016 daviddavid <daviddavid> 3.21.1-1.mga6
+ Revision: 1006480
- new version: 3.21.1

* Tue Mar 22 2016 daviddavid <daviddavid> 3.20.0-1.mga6
+ Revision: 993895
- new version: 3.20.0

* Mon Feb 29 2016 daviddavid <daviddavid> 3.19.91-1.mga6
+ Revision: 980636
- new version: 3.19.91

* Mon Feb 15 2016 daviddavid <daviddavid> 3.19.90-1.mga6
+ Revision: 961159
- new version: 3.19.90
- remove merged patch

* Tue Feb 09 2016 tv <tv> 3.19.4-2.mga6
+ Revision: 951018
- patch 0: fix french translation

* Mon Jan 18 2016 daviddavid <daviddavid> 3.19.4-1.mga6
+ Revision: 925529
- new version: 3.19.4

* Tue Dec 15 2015 daviddavid <daviddavid> 3.19.3-1.mga6
+ Revision: 910646
- new version: 3.19.3

* Mon Nov 23 2015 daviddavid <daviddavid> 3.19.2-1.mga6
+ Revision: 905237
- new version: 3.19.2

* Wed Oct 28 2015 daviddavid <daviddavid> 3.19.1-1.mga6
+ Revision: 895985
- new version: 3.19.1

* Wed Oct 14 2015 daviddavid <daviddavid> 3.18.1-1.mga6
+ Revision: 891656
- new version: 3.18.1

* Sun Sep 27 2015 daviddavid <daviddavid> 3.18.0-1.mga6
+ Revision: 884276
- new version: 3.18.0
- drop merged patch

* Fri Jan 09 2015 alexl <alexl> 3.14.0-3.mga5
+ Revision: 809651
- added GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 739787
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 733856
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 689161
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 pterjan <pterjan> 3.13.91-1.mga5
+ Revision: 671297
- 3.13.91

* Sat Aug 23 2014 dams <dams> 3.13.90-1.mga5
+ Revision: 666656
- new version 3.13.90

* Fri Aug 15 2014 dams <dams> 3.13.4.2-1.mga5
+ Revision: 662671
- new version 3.13.4.2

  + wally <wally>
    - require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Wed Mar 26 2014 dams <dams> 3.12.0-1.mga5
+ Revision: 608714
- new version 3.12.0

* Thu Mar 20 2014 dams <dams> 3.11.92-1.mga5
+ Revision: 605966
- new version 3.11.92

* Sun Mar 16 2014 tv <tv> 3.11.91-2.mga5
+ Revision: 604283
- drop bogus ui file that break running the app

* Thu Mar 13 2014 dams <dams> 3.11.91-1.mga5
+ Revision: 603096
- new version 3.11.91

* Wed Nov 20 2013 dams <dams> 3.10.2-1.mga4
+ Revision: 552009
- new version 3.10.2

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 537508
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dams <dams> 3.10.0-1.mga4
+ Revision: 487151
- new version 3.10.0

* Sat Sep 14 2013 wally <wally> 3.9.91-2.mga4
+ Revision: 478962
- rebuild for new colord

* Thu Sep 05 2013 dams <dams> 3.9.91-1.mga4
+ Revision: 475222
- update %%file
- new version 3.9.91

* Mon Aug 26 2013 dams <dams> 3.9.90-1.mga4
+ Revision: 471923
- new version 3.9.90

* Wed Jul 24 2013 dams <dams> 3.9.4.1-1.mga4
+ Revision: 457527
- new version 3.9.4.1

* Thu Jun 13 2013 tv <tv> 3.9.2-1.mga4
+ Revision: 442469
- fix build: add missing file from bazaar
- new release

* Fri May 24 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 425947
- add 'libxml2-utils' as 'buildrequire'
- new version 3.8.0

* Mon Jan 14 2013 umeabot <umeabot> 3.6.0-3.mga3
+ Revision: 382042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + tv <tv>
    - Provides scanner-gui

* Mon Nov 12 2012 dams <dams> 3.6.0-1.mga3
+ Revision: 317183
- new version 3.6.0

  + tv <tv>
    - adapt to new group hierarchy

* Mon May 28 2012 dams <dams> 3.4.2-1.mga3
+ Revision: 248733
- new version 3.4.2

* Mon Apr 23 2012 dams <dams> 3.4.1-1.mga3
+ Revision: 232959
- new version 3.4.1

  + ovitters <ovitters>
    - clean spec
    - new version 3.3.92

* Wed Nov 09 2011 dams <dams> 3.2.1-1.mga2
+ Revision: 165892
- Update to 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149169
- new version 3.2.0

* Mon Sep 12 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 142585
- new version 3.1.91

* Thu Sep 01 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 137489
- new version 3.1.90
- new version 3.1.5

* Sun Jul 10 2011 fwang <fwang> 3.1.3-2.mga2
+ Revision: 121794
- br colord

* Sun Jul 10 2011 fwang <fwang> 3.1.3-1.mga2
+ Revision: 121793
- new version 3.1.3

* Thu Jun 16 2011 dams <dams> 2.32.0.2-1.mga2
+ Revision: 108022
- Update to 2.32.0.2 and clean BR

* Thu Apr 14 2011 dams <dams> 2.32.0.1-1.mga1
+ Revision: 84848
- Update to 2.32.0.1

* Mon Feb 21 2011 eandry <eandry> 1.0.3-3.mga1
+ Revision: 55841
- bump relase
- imported package simple-scan


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdv2011.0
+ Revision: 614890
- the mass rebuild of 2010.1 packages

* Sun Apr 25 2010 Emmanuel Andry <eandry@mandriva.org> 1.0.3-1mdv2010.1
+ Revision: 538711
- New version 1.0.3

* Sun Apr 18 2010 Emmanuel Andry <eandry@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 536395
- New version 1.0.2

* Sun Apr 04 2010 Emmanuel Andry <eandry@mandriva.org> 0.9.9-1mdv2010.1
+ Revision: 531389
- import simple-scan


